OMNotebook: IAEX::MyTextBrowser Class Reference

- Main Page
- Classes
- Files
- Related Pages
- Examples

- Class List
- Class Hierarchy
- Class Members

# IAEX::MyTextBrowser Class Reference

extends QTextBrowser. Mostly so I can catch when a user clicks on a link without a change in textbrowsers content. More...

List of all members.

## Public Slots
void | setSource (const QUrl &name)
## Protected Member Functions
void | mousePressEvent (QMouseEvent *event)
| Needed a signal to be emited when the user click on the cell.
void | wheelEvent (QWheelEvent *event)
| Handles mouse wheel events, ignore them and send the up in the cell hierarchy.
void | insertFromMimeData (const QMimeData *source)
| If the mimedata that should be insertet contain text, create a new mimedata object that only contains text, otherwise html is inserted - don't want that html code (inserting from microsoft words for example).
void | keyPressEvent (QKeyEvent *event)
| Handles key event, added ignore to 'Alt+Enter'.

## Detailed Description

extends QTextBrowser. Mostly so I can catch when a user clicks on a link without a change in textbrowsers content.

Author:
  Ingemar Axelsson and Anders Fernström

## Member Function Documentation

void IAEX::MyTextBrowser::insertFromMimeData | ( | const QMimeData * | source | ) | `[protected]`

| If the mimedata that should be insertet contain text, create a new mimedata object that only contains text, otherwise html is inserted - don't want that html code (inserting from microsoft words for example). Author: Anders Fernström Date: 2006-01-23

void IAEX::MyTextBrowser::keyPressEvent | ( | QKeyEvent * | event | ) | `[protected]`

| Handles key event, added ignore to 'Alt+Enter'. Author: Anders Fernström Date: 2006-01-30

void IAEX::MyTextBrowser::mousePressEvent | ( | QMouseEvent * | event | ) | `[protected]`

| Needed a signal to be emited when the user click on the cell. Author: Anders Fernström Date: 2005-11-01

void IAEX::MyTextBrowser::setSource | ( | const QUrl & | name | ) | `[slot]`

| Author: Ingemar Axelsson and Anders Fernström date 2005-11-03 2005-11-03 AF, Updated the function to reflect the changes made in qt (from v3 to v4). The function now takes a QUrl as parameter insted of a QString (in qt3).

void IAEX::MyTextBrowser::wheelEvent | ( | QWheelEvent * | event | ) | `[protected]`

| Handles mouse wheel events, ignore them and send the up in the cell hierarchy. Author: Anders Fernström Date: 2005-11-28

The documentation for this class was generated from the following files:

- C:/OpenModelica/OMNotebookQT4 v2/OMNotebookQT4/textcell.h
- C:/OpenModelica/OMNotebookQT4 v2/OMNotebookQT4/moc_textcell.cpp
- C:/OpenModelica/OMNotebookQT4 v2/OMNotebookQT4/textcell.cpp